Package org.oasis_open.docs.ws_calendar.ns.soap

# Class CalendarQueryType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType
org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryOrMultigetBaseType
org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryType

public class CalendarQueryType extends CalendarQueryOrMultigetBaseType
Message to query a calendar.

Java class for CalendarQueryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CalendarQueryType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}CalendarQueryOrMultigetBaseType">
           <sequence>
             <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}depth"/>
             <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}filter"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `depth`
  `protected FilterType`
  `filter`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryOrMultigetBaseType

  `allprop, expand, icalendar, limitRecurrenceSet`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `href, id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarQueryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDepth()`
  Gets the value of the depth property.
  `FilterType`
  `getFilter()`
  Gets the value of the filter property.
  `void`
  `setDepth(String value)`
  Sets the value of the depth property.
  `void`
  `setFilter(FilterType value)`
  Sets the value of the filter property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryOrMultigetBaseType

  `getAllprop, getExpand, getIcalendar, getLimitRecurrenceSet, setAllprop, setExpand, setIcalendar, setLimitRecurrenceSet`

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `getHref, getId, setHref, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### depth

    protected String depth

  - ### filter

    protected FilterType filter

- ## Constructor Details

  - ### CalendarQueryType

    public CalendarQueryType()

- ## Method Details

  - ### getDepth

    public String getDepth()
    Gets the value of the depth property.
    Returns:
      possible object is `String`

  - ### setDepth

    public void setDepth(String value)
    Sets the value of the depth property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFilter

    public FilterType getFilter()
    Gets the value of the filter property.
    Returns:
      possible object is `FilterType`

  - ### setFilter

    public void setFilter(FilterType value)
    Sets the value of the filter property.
    Parameters:
      `value` - allowed object is `FilterType`